- [HTTP request](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1/projects.locations.dataAgents/setIamPolicy.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1/projects.locations.dataAgents/setIamPolicy.md.txt#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1/projects.locations.dataAgents/setIamPolicy.md.txt#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1/projects.locations.dataAgents/setIamPolicy.md.txt#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1/projects.locations.dataAgents/setIamPolicy.md.txt#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1/projects.locations.dataAgents/setIamPolicy.md.txt#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1/projects.locations.dataAgents/setIamPolicy.md.txt#body.aspect_1)

Sets the IAM policy for a DataAgent.

### HTTP request

`POST https://geminidataanalytics.googleapis.com/v1/{resource=projects/*/locations/*/dataAgents/*}:setIamPolicy`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `resource` | `string` REQUIRED: The resource for which the policy is being specified. The only format that is supported is `projects/<>/locations/<>/dataAgents/<>` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "policy": { object (`Policy`) }, "updateMask": string } ``` |

| Fields ||
|---|---|
| `policy` | ``object (`Policy`)`` REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them. |
| `updateMask` | ``string (`FieldMask` format)`` OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: "bindings, etag"` This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Response body

If successful, the response body contains an instance of `Policy`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `resource` resource:

- `geminidataanalytics.dataAgents.setIamPolicy`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).